> This page is for Plataforma, version V4 experimental.
> For other versions, use one of these documentation indexes:
> - V4 (default): https://next.developer.frame.io/platform/v4/llms.txt
> - V4 experimental: https://next.developer.frame.io/platform/v4-experimental/llms.txt
> - Heredado: https://next.developer.frame.io/platform/v2/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://next.developer.frame.io/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://next.developer.frame.io/_mcp/server.

# Crear archivo adjunto de comentarios

POST https://api.frame.io/v4/accounts/{account_id}/comments/{comment_id}/attachments
Content-Type: application/json

Create an attachment for an existing comment.
This endpoint has been added to `Current Version` of the API.
Please see [https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create\_attachment](https://developer.adobe.com/frameio/api/current/#tag/Comments/operation/comments.create_attachment).
Rate Limits: 60 calls per 1.00 minute(s) per account\_user

Reference: https://next.developer.frame.io/platform/api-reference/comments/create-attachment

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `account_id` (string, required)
- `comment_id` (string, required)

### Body (application/json)

This endpoint expects a CreateAttachmentParams.

- `data` (AttachmentInput, required) — Input for creating a comment attachment

## Response

### 201

Created

- `data` (CommentAttachment, optional)

## Errors

### 400 Bad Request Error

Bad request

- `errors` (list of BadRequestErrorsItems, required)

### 401 Unauthorized Error

Unauthorized

- `errors` (list of UnauthorizedErrorsItems, required)

### 403 Forbidden Error

Forbidden

- `errors` (list of ForbiddenErrorsItems, required)

### 404 Not Found Error

Not found

- `errors` (list of NotFoundErrorsItems, required)

### 409 Conflict Error

Conflict

- `errors` (list of ConflictErrorsItems, required)

### 422 Unprocessable Entity Error

Unprocessable content

- `errors` (list of UnprocessableContentErrorsItems, required)

### 429 Too Many Requests Error

Too many requests

- `errors` (list of TooManyRequestsErrorsItems, required)

## Types

### AttachmentInput

Input for creating a comment attachment

- `file_size` (integer, required) — Attachment file size in bytes (up to 5TB)
- `media_type` (string, required) — File media type
- `name` (string, required) — Filename

### CommentAttachment

- `created_at` (string, required) — Creation timestamp
- `file_size` (integer, required) — Attachment file size in bytes (up to 5TB)
- `id` (string, required) — Comment attachment ID
- `media_type` (string, required, nullable) — File media type
- `name` (string, required) — File name for the attachment
- `upload_urls` (list of string, optional, nullable) — Comment attachment upload URLs. Number of URLs returned will vary depending on the file size.

### BadRequestErrorsItems

- `detail` (string, required)
- `source` (BadRequestErrorsItemsSource, optional)
- `title` (string, optional)

### UnauthorizedErrorsItems

- `detail` (string, required)
- `source` (UnauthorizedErrorsItemsSource, optional)
- `title` (string, optional)

### ForbiddenErrorsItems

- `detail` (string, required)
- `source` (ForbiddenErrorsItemsSource, optional)
- `title` (string, optional)

### NotFoundErrorsItems

- `detail` (string, required)
- `source` (NotFoundErrorsItemsSource, optional)
- `title` (string, optional)

### ConflictErrorsItems

- `detail` (string, required)
- `source` (ConflictErrorsItemsSource, optional)
- `title` (string, optional)

### UnprocessableContentErrorsItems

- `detail` (string, required)
- `source` (UnprocessableContentErrorsItemsSource, optional)
- `title` (string, optional)

### TooManyRequestsErrorsItems

- `detail` (string, required)
- `source` (TooManyRequestsErrorsItemsSource, optional)
- `title` (string, optional)

### BadRequestErrorsItemsSource

- `pointer` (string, optional)

### UnauthorizedErrorsItemsSource

- `pointer` (string, optional)

### ForbiddenErrorsItemsSource

- `pointer` (string, optional)

### NotFoundErrorsItemsSource

- `pointer` (string, optional)

### ConflictErrorsItemsSource

- `pointer` (string, optional)

### UnprocessableContentErrorsItemsSource

- `pointer` (string, optional)

### TooManyRequestsErrorsItemsSource

- `pointer` (string, optional)

## Examples

**Request**

```json
{
  "data": {
    "file_size": 1024000,
    "media_type": "image/png",
    "name": "screenshot.png"
  }
}
```

**Response**

```json
{
  "data": {
    "created_at": "2025-11-11T17:41:34.358394Z",
    "file_size": 1024000,
    "id": "5f683635-1183-4142-b4e8-cfb08e94eee6",
    "media_type": "image/png",
    "name": "Comp2.png",
    "upload_urls": [
      "https://s3.amazonaws.com/bucket/part1?signature=..."
    ]
  }
}
```

**SDK Code**

```python
import requests

url = "https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments"

payload = { "data": {
        "file_size": 1024000,
        "media_type": "image/png",
        "name": "screenshot.png"
    } }
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.post(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments';
const options = {
  method: 'POST',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{"data":{"file_size":1024000,"media_type":"image/png","name":"screenshot.png"}}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments"

	payload := strings.NewReader("{\n  \"data\": {\n    \"file_size\": 1024000,\n    \"media_type\": \"image/png\",\n    \"name\": \"screenshot.png\"\n  }\n}")

	req, _ := http.NewRequest("POST", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Post.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{\n  \"data\": {\n    \"file_size\": 1024000,\n    \"media_type\": \"image/png\",\n    \"name\": \"screenshot.png\"\n  }\n}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.post("https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{\n  \"data\": {\n    \"file_size\": 1024000,\n    \"media_type\": \"image/png\",\n    \"name\": \"screenshot.png\"\n  }\n}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('POST', 'https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments', [
  'body' => '{
  "data": {
    "file_size": 1024000,
    "media_type": "image/png",
    "name": "screenshot.png"
  }
}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments");
var request = new RestRequest(Method.POST);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{\n  \"data\": {\n    \"file_size\": 1024000,\n    \"media_type\": \"image/png\",\n    \"name\": \"screenshot.png\"\n  }\n}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = ["data": [
    "file_size": 1024000,
    "media_type": "image/png",
    "name": "screenshot.png"
  ]] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://api.frame.io/v4/accounts/ba5836f4-937e-4ab2-b848-80eab2016bea/comments/123e1b39-f594-459d-96cf-2c75b4a4fbaa/attachments")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "POST"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```